<%= stylesheet_pack_tag 'show' %>
<%= javascript_pack_tag 'show', media: 'all', 'data-turbolinks-track': 'reload' %>

<h1>Show Data</h1>

<table id="dttb" class="table table-hover">
  <thead>
  <tr>
    <th>Name</th>
    <th>Location</th>
    <th>Species</th>
    <th>Gender</th>
    <th>Affiliations</th>
    <th>Weapon</th>
    <th>Vehicle</th>
  </tr>
  </thead>
  <tbody>
  <% @people.each do |person| %>
    <tr>
      <td><%= format_name(person) %></td>
      <td><%= format_locations(person) %></td>
      <td><%= person.species %></td>
      <td><%= person.gender %></td>
      <td><%= format_affiliations(person) %></td>
      <td><%= person.weapon %></td>
      <td><%= person.vehicle %></td>
    </tr>
  <% end %>
  </tbody>
</table>
<br>
<%= link_to "Home", root_path%>

<% content_for :scripts do %>
  <script>
      document.addEventListener('turbolinks:load', function() {
          $('#dttb').DataTable();
      });
  </script>
<% end %>